Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/test.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/test.cpp	(revision 82)
@@ -7,39 +7,11 @@
  */
 
+#define NB_ITERATION  1
+#define CYCLE_MAX     (128*NB_ITERATION)
+
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/include/test.h"
 #include "Common/include/Test.h"
 #include "Common/include/BitManipulation.h"
 #include "Behavioural/include/Allocation.h"
-
-#define NB_ITERATION  1
-#define CYCLE_MAX     (128*NB_ITERATION)
-
-#define LABEL(str...)							\
-  {									\
-    msg (_("{%d} "),static_cast<uint32_t>(sc_simulation_time()));	\
-    msg (str);								\
-    msg (_("\n"));							\
-  } while(0)
-
-#define SC_START(cycle_offset)                                                       \
-  do									             \
-    {									             \
-      /*cout << "SC_START (begin)" << endl;*/				             \
-									             \
-      uint32_t cycle_current = static_cast<uint32_t>(sc_simulation_time());          \
-      if (cycle_offset != 0)						             \
-	{								             \
-	  cout << "##########[ cycle "<< cycle_current+cycle_offset << " ]" << endl; \
-	}								             \
-									             \
-      if (cycle_current > CYCLE_MAX)					             \
-	{								             \
-	  TEST_KO("Maximal cycles Reached");				             \
-	}								             \
-									             \
-      sc_start(cycle_offset);						             \
-									             \
-      /*cout << "SC_START (end  )" << endl;*/				             \
-    } while(0)
 
   class entry_t
@@ -127,9 +99,11 @@
 
 
-  Write_queue * _Write_queue = new Write_queue (name.c_str(),
+  Write_queue * _Write_queue = new Write_queue 
+    (name.c_str(),
 #ifdef STATISTICS
-					     _parameters_statistics,
+     _parameters_statistics,
 #endif
-					     _param);
+     _param,
+     USE_ALL);
   
 #ifdef SYSTEMC
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Types.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Types.h	(revision 82)
@@ -0,0 +1,84 @@
+#ifndef morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_write_unit_write_unit_write_queue_Types_h
+#define morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_write_unit_write_unit_write_queue_Types_h
+
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Types.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace multi_write_unit {
+namespace write_unit {
+namespace write_queue {
+
+  class write_queue_entry_t
+  {
+  public  : Tcontext_t         _context_id   ;
+  public  : Tcontext_t         _front_end_id ;
+  public  : Tcontext_t         _ooo_engine_id;
+  public  : Tpacket_t          _packet_id    ;
+//public  : Toperation_t       _operation    ;
+  public  : Ttype_t            _type         ;
+  public  : Tcontrol_t         _write_rd     ;
+  public  : Tgeneral_address_t _num_reg_rd   ;
+  public  : Tgeneral_data_t    _data_rd      ;
+  public  : Tcontrol_t         _write_re     ;
+  public  : Tspecial_address_t _num_reg_re   ;
+  public  : Tspecial_data_t    _data_re      ;
+  public  : Texception_t       _exception    ;
+  public  : Tcontrol_t         _no_sequence  ;
+  public  : Tgeneral_data_t    _address      ;
+    
+  public  : write_queue_entry_t (Tcontext_t         context_id   ,
+				 Tcontext_t         front_end_id ,
+				 Tcontext_t         ooo_engine_id,
+				 Tpacket_t          packet_id    ,
+			       //Toperation_t       operation    ,
+				 Ttype_t            type         ,
+				 Tcontrol_t         write_rd     ,
+				 Tgeneral_address_t num_reg_rd   ,
+				 Tgeneral_data_t    data_rd      ,
+				 Tcontrol_t         write_re     ,
+				 Tspecial_address_t num_reg_re   ,
+				 Tspecial_data_t    data_re      ,
+				 Texception_t       exception    ,
+				 Tcontrol_t         no_sequence  ,
+				 Tgeneral_data_t    address      )
+    {
+      _context_id    = context_id   ;
+      _front_end_id  = front_end_id ;
+      _ooo_engine_id = ooo_engine_id;
+      _packet_id     = packet_id    ;
+    //_operation     = operation    ;
+      _type          = type         ;
+      _write_rd      = write_rd     ;
+      _num_reg_rd    = num_reg_rd   ;
+      _data_rd       = data_rd      ;
+      _write_re      = write_re     ;
+      _num_reg_re    = num_reg_re   ;
+      _data_re       = data_re      ;
+      _exception     = exception    ;
+      _no_sequence   = no_sequence  ;
+      _address       = address      ;
+    };
+  };
+
+}; // end namespace write_queue
+}; // end namespace write_unit
+}; // end namespace multi_write_unit
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Write_queue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Write_queue.h	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Write_queue.h	(revision 82)
@@ -17,7 +17,8 @@
 #include "Common/include/ToString.h"
 #include "Common/include/Debug.h"
-#include "Behavioural/include/Types.h"
 
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Parameters.h"
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Types.h"
+
 #ifdef STATISTICS
 #include "Behavioural/include/Stat.h"
@@ -37,57 +38,4 @@
 namespace write_unit {
 namespace write_queue {
-
-  class write_queue_entry_t
-  {
-  public  : Tcontext_t         _context_id   ;
-  public  : Tcontext_t         _front_end_id ;
-  public  : Tcontext_t         _ooo_engine_id;
-  public  : Tpacket_t          _packet_id    ;
-//public  : Toperation_t       _operation    ;
-  public  : Ttype_t            _type         ;
-  public  : Tcontrol_t         _write_rd     ;
-  public  : Tgeneral_address_t _num_reg_rd   ;
-  public  : Tgeneral_data_t    _data_rd      ;
-  public  : Tcontrol_t         _write_re     ;
-  public  : Tspecial_address_t _num_reg_re   ;
-  public  : Tspecial_data_t    _data_re      ;
-  public  : Texception_t       _exception    ;
-  public  : Tcontrol_t         _no_sequence  ;
-  public  : Tgeneral_data_t    _address      ;
-    
-  public  : write_queue_entry_t (Tcontext_t         context_id   ,
-				 Tcontext_t         front_end_id ,
-				 Tcontext_t         ooo_engine_id,
-				 Tpacket_t          packet_id    ,
-			       //Toperation_t       operation    ,
-				 Ttype_t            type         ,
-				 Tcontrol_t         write_rd     ,
-				 Tgeneral_address_t num_reg_rd   ,
-				 Tgeneral_data_t    data_rd      ,
-				 Tcontrol_t         write_re     ,
-				 Tspecial_address_t num_reg_re   ,
-				 Tspecial_data_t    data_re      ,
-				 Texception_t       exception    ,
-				 Tcontrol_t         no_sequence  ,
-				 Tgeneral_data_t    address      )
-    {
-      _context_id    = context_id   ;
-      _front_end_id  = front_end_id ;
-      _ooo_engine_id = ooo_engine_id;
-      _packet_id     = packet_id    ;
-    //_operation     = operation    ;
-      _type          = type         ;
-      _write_rd      = write_rd     ;
-      _num_reg_rd    = num_reg_rd   ;
-      _data_rd       = data_rd      ;
-      _write_re      = write_re     ;
-      _num_reg_re    = num_reg_re   ;
-      _data_re       = data_re      ;
-      _exception     = exception    ;
-      _no_sequence   = no_sequence  ;
-      _address       = address      ;
-    };
-  };
-
 
   class Write_queue 
@@ -204,5 +152,5 @@
 #endif
    Parameters                                  * param,
-   morpheo::behavioural::Tusage_t                usage=USE_ALL
+   morpheo::behavioural::Tusage_t                usage
    );
   public  :          ~Write_queue             (void);
